<?php
// Version: 1.1.5; MessageIndex

function template_main()
{
	global $context, $settings, $options, $scripturl, $modSettings, $txt;

	echo '
		<table width="100%" cellpadding="3" cellspacing="0">
			<tr>
				<td align="left" valign="middle">
                                <a name="top"></a>', theme_linktree(), '</td>';
                if (!empty($settings['display_who_viewing']))
	{

		echo '
				<td class="smalltext" align="right" valign="middle">';

			if ($settings['display_who_viewing'] == 1)
			echo count($context['view_members']), ' ', count($context['view_members']) == 1 ? $txt['who_member'] : $txt[19];
		else
			echo empty($context['view_members_list']) ? '0 ' . $txt[19] : implode(', ', $context['view_members_list']) . ((empty($context['view_num_hidden']) or $context['can_moderate_forum']) ? '' : ' (+ ' . $context['view_num_hidden'] . ' ' . $txt['hidden'] . ')');
		echo $txt['who_and'], $context['view_num_guests'], ' ', $context['view_num_guests'] == 1 ? $txt['guest'] : $txt['guests'], $txt['who_viewing_board'], '</td>';
	}	
                echo '
			</tr>
		</table>';

	if (isset($context['boards']) && (!empty($options['show_children']) || $context['start'] == 0))
	{
		echo '
		<table border="0" cellpadding="0" cellspacing="0" width="100%"><tbody><tr><td align="right" valign="bottom" width="50"><img src="' . $settings['images_url'] . '/top_left.gif" alt="" border="0" height="28" width="50" /></td><td align="center" style="background: url(' . $settings['images_url'] . '/top_center.gif);" valign="middle" width="100%"><span class="cattitle">', $txt['parent_boards'], '</span></td><td align="left" valign="bottom" width="50"><img src="' . $settings['images_url'] . '/top_right.gif" alt="" border="0" height="28" width="50" /></td></tr></tbody></table>
        <table class="forumline" border="0" cellpadding="2" cellspacing="1" width="100%">
<tbody><tr>
	<th colspan="2" align="center" class="thCornerL" height="26" nowrap="nowrap">&nbsp;Forum&nbsp;</th>
	<th class="thTop" align="center" nowrap="nowrap" width="50">&nbsp;', $txt[330], '&nbsp;</th>
	<th class="thTop" align="center" nowrap="nowrap" width="50">&nbsp;', $txt[21], '&nbsp;</th>
	<th class="thCornerR" align="center" nowrap="nowrap">&nbsp;Last Post&nbsp;</th>
</tr>';
		foreach ($context['boards'] as $board)
		{
			echo '
			<tr>
	<td class="row4" align="center" height="30" valign="middle" width="30">';

			// Is this board itself new?
			if ($board['new'])
					echo '<img src="', $settings['images_url'], '/new_some.gif" alt="', $txt[333], '" title="', $txt[333], '" border="0" />';
				// This board doesn't have new posts, but its children do.
				elseif ($board['children_new'])
					echo '<img src="', $settings['images_url'], '/new_some.gif" alt="', $txt[333], '" title="', $txt[333], '" border="0" />';
				// No new posts at all!  The agony!!
				else
					echo '<img src="', $settings['images_url'], '/new_none.gif" alt="', $txt[334], '" title="', $txt[334], '" border="0" />';

			echo '</td>
				<td class="row1" width="100%" onMouseOver="this.className=\'row1_over\'" onMouseOut="this.className=\'row1\'"><span class="forumlink"> <a href="', $board['href'], '" name="b', $board['id'], '" class="forumlink">', $board['name'], '</a><br></span>
        <span class="normaltext">', $board['description'], '<br></span>
        <span class="smalltext">';

		if (!empty($board['moderators']))
					echo '
        ', count($board['moderators']) == 1 ? $txt[298] : $txt[299], ': ', implode(', ', $board['link_moderators']), '</span><br>';

			if (!empty($board['children']))
				{
					// Sort the links into an array with new boards bold so it can be imploded.
					$children = array();
					/* Each child in each board's children has:
						id, name, description, new (is it new?), topics (#), posts (#), href, link, and last_post. */
					foreach ($board['children'] as $child)
					{
						$child['link'] = '<a href="' . $child['href'] . '" title="' . ($child['new'] ? $txt[333] : $txt[334]) . ' (' . $txt[330] . ': ' . $child['topics'] . ', ' . $txt[21] . ': ' . $child['posts'] . ')">' . $child['name'] . '</a>';
						$children[] = $child['new'] ? '<b>' . $child['link'] . '</b>' : $child['link'];
					}
			echo '
			<span class="smalltext">', $txt['parent_boards'], ': ', implode(', ', $children), '</span></td>';
                                 }

			echo '
				<td class="row2" align="center" valign="middle"><span class="smalltext">', $board['topics'],'</span></td>
	<td class="row2" align="center" valign="middle"><span class="smalltext">', $board['posts'], '</span></td>
	<td class="row3" align="center" nowrap="nowrap" valign="middle">';

			if (!empty($board['last_post']['id']))
	echo '
        <p align="right"><span class="smalltext">', $board['last_post']['time'], '<br>', $board['last_post']['link'], '<br>', $txt[525], ' ', $board['last_post']['member']['link'], '</span></td>
</tr>';
		}
		echo '
		</table><table border="0" cellpadding="0" cellspacing="0" width="100%"><tbody><tr><td align="right" valign="top" width="12"><img src="', $settings['images_url'], '/bottom_left.gif" alt="" border="0" height="12" width="12" /></td><td style="background: url(', $settings['images_url'], '/bottom_center.gif);" width="100%"></td><td align="left" valign="top" width="12"><img src="', $settings['images_url'], '/bottom_right.gif" alt="" border="0" height="12" width="12" /></td></tr></tbody></table></div>';
	}

	if (!empty($options['show_board_desc']) && $context['description'] != '')
	{
		echo '
		<table width="100%" cellpadding="6" cellspacing="0" border="0" class="tborder" style="margin-bottom: 1ex;">
			<tr>
				<td align="left" class="catbg" width="100%" height="24">
					<span class="smalltext">', $context['description'], '</span>
				</td>
			</tr>
		</table>';
	}
	if (!$context['no_topic_listing'])
	{
	echo '
		<table width="100%" cellpadding="0" cellspacing="0" border="0" style="margin-bottom: 1ex; margin-top: 1ex;">
			<tr>
				<td align="left">
					<table cellpadding="0" cellspacing="0" width="100%">
						<tr>
							<td><span class="smalltext"><b>', $txt[139], ': ', $context['page_index'], '</b></span></td>
							<td align="right" nowrap="nowrap" style="font-size: smaller;">', theme_show_buttons(), '</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>';

	// If Quick Moderation is enabled (and set to checkboxes - 1) start the form.
	if (!empty($options['display_quick_mod']) && !empty($context['topics']))
         echo '
      <form action="', $scripturl, '?action=quickmod;board=', $context['current_board'], '.', $context['start'], '" method="post" name="quickModForm" id="quickModForm" style="margin: 0;">';

	echo '
 <table border="0" cellpadding="0" cellspacing="0" width="100%"><tbody><tr><td align="right" valign="bottom" width="50"><img src="' . $settings['images_url'] . '/top_left.gif" alt="" border="0" height="28" width="50" /></td><td align="center" style="background: url(' . $settings['images_url'] . '/top_center.gif);" valign="middle" width="100%">&nbsp;</td><td align="left" valign="bottom" width="50"><img src="' . $settings['images_url'] . '/top_right.gif" alt="" border="0" height="28" width="50" /></td></tr></tbody></table>
 <table class="forumline" border="0" cellpadding="4" cellspacing="1" width="100%">';

	// Are there actually any topics to show?
	if (!empty($context['topics']))
	{
		echo '
	<tbody><tr>
	  <th style="background: url(', $settings['images_url'], '/bg_cat.gif);" colspan="3" class="thCornerL" align="center" height="25" nowrap="nowrap"><a href="', $scripturl, '?board=', $context['current_board'], '.', $context['start'], ';sort=subject', $context['sort_by'] == 'subject' && $context['sort_direction'] == 'up' ? ';desc' : '', '">', $txt[70], '</a></th>
	  <th style="background: url(', $settings['images_url'], '/bg_cat.gif);" class="thTop" align="center" nowrap="nowrap" width="50"><a href="', $scripturl, '?board=', $context['current_board'], '.', $context['start'], ';sort=replies', $context['sort_by'] == 'replies' && $context['sort_direction'] == 'up' ? ';desc' : '', '">', $txt[110], '</a></th>
	  <th style="background: url(', $settings['images_url'], '/bg_cat.gif);" class="thTop" align="center" nowrap="nowrap" width="100"><a href="', $scripturl, '?board=', $context['current_board'], '.', $context['start'], ';sort=starter', $context['sort_by'] == 'starter' && $context['sort_direction'] == 'up' ? ';desc' : '', '">', $txt[109], '</a></th>
	  <th style="background: url(', $settings['images_url'], '/bg_cat.gif);" class="thTop" align="center" nowrap="nowrap" width="50"><a href="', $scripturl, '?board=', $context['current_board'], '.', $context['start'], ';sort=views', $context['sort_by'] == 'views' && $context['sort_direction'] == 'up' ? ';desc' : '', '">', $txt[301], '</a></th>
	  <th style="background: url(', $settings['images_url'], '/bg_cat.gif);" class="thCornerR" align="center" nowrap="nowrap"><a href="', $scripturl, '?board=', $context['current_board'], '.', $context['start'], ';sort=last_post', $context['sort_by'] == 'last_post' && $context['sort_direction'] == 'up' ? ';desc' : '', '">', $txt[111], '</a></th>';

// Show a "select all" box for quick moderation?
		if (!empty($options['display_quick_mod']) && !empty($context['topics']))
                echo '
					<th class="thCornerR" align="center" valign="middle">
						<input type="checkbox" onclick="invertAll(this, this.form, \'topics[]\');" class="check" />
					</th>';


	}

	// No topics.... just say, "sorry bub".
	else
		echo '
					<th class="thCornerR" align="center" nowrap="nowrap"><b>', $txt[151], '</b></th>';

	echo '
				</tr>';

	foreach ($context['topics'] as $topic)
	{
		echo '
				<tr>
					<td class="row4" align="center" valign="middle" width="20">
						<img src="', $settings['images_url'], '/topic/', $topic['class'], '.gif" alt="" />
					</td>
					<td class="row4" align="center" valign="middle" width="20">
						<img src="', $topic['first_post']['icon_url'], '" alt="" />
					</td>
					<td class="row1" width="100%" ', (!empty($topic['quick_mod']['remove']) ? 'id="topic_' . $topic['first_post']['id'] . '" onmouseout="mouse_on_div = 0;" onmouseover="mouse_on_div = 1;" ondblclick="modify_topic(\'' . $topic['id'] . '\', \'' . $topic['first_post']['id'] . '\', \'' . $context['session_id'] . '\');"' : ''), '><span class="topictitle">
						<span id="msg_' . $topic['first_post']['id'] . '">', $topic['first_post']['link'], '</span>';

		// Is this topic new? (assuming they are logged in!)
		if ($topic['new'] && $context['user']['is_logged'])
			echo '
						<a href="', $topic['new_href'], '" id="newicon' . $topic['first_post']['id'] . '"><img src="', $settings['images_url'], '/', $context['user']['language'], '/new.gif" alt="', $txt[302], '" border="0" /></a>';

		echo '                          </span>
						<span class="smalltext" id="pages' . $topic['first_post']['id'] . '">', $topic['pages'], '</span>
					</td>
                                        <td class="row2" align="center" valign="middle"><span class="postdetails">
						', $topic['replies'], '</span>
					</td>
					<td class="row3" align="center" valign="middle"><span class="name">
						', $topic['first_post']['member']['link'], '</span>
					</td>
					<td class="row2" align="center" valign="middle"><span class="postdetails">
						', $topic['views'], '</span>
					</td>
					<td class="row3" align="center" nowrap="nowrap" valign="middle">';
		echo '
						<span class="smalltext">
							', $topic['last_post']['time'], '<br />
							', $txt[525], ' ', $topic['last_post']['member']['link'], ' <a href="', $topic['last_post']['href'], '"><img src="', $settings['images_url'], '/icons/last_post.gif" alt="', $txt[111], '" title="', $txt[111], '" border="0" style="float: right;" /></a>

                                        </span>
					</td>';

		// Show the quick moderation options?
		if (!empty($options['display_quick_mod']))
		{
                echo '
                <td class="windowbg" valign="middle" align="center" width="4%">';
				if ($options['display_quick_mod'] == 1)
					echo '
						<input type="checkbox" name="topics[]" value="', $topic['id'], '" class="check" />';
			else
				{
					// Check permissions on each and show only the ones they are allowed to use.
					if ($topic['quick_mod']['remove'])
						echo '<a href="', $scripturl, '?action=quickmod;board=', $context['current_board'], '.', $context['start'], ';actions[', $topic['id'], ']=remove;sesc=', $context['session_id'], '" onclick="return confirm(\'', $txt['quickmod_confirm'], '\');"><img src="', $settings['images_url'], '/icons/quick_remove.gif" width="16" alt="', $txt[63], '" title="', $txt[63], '" border="0" /></a>';
					if ($topic['quick_mod']['lock'])
						echo '<a href="', $scripturl, '?action=quickmod;board=', $context['current_board'], '.', $context['start'], ';actions[', $topic['id'], ']=lock;sesc=', $context['session_id'], '" onclick="return confirm(\'', $txt['quickmod_confirm'], '\');"><img src="', $settings['images_url'], '/icons/quick_lock.gif" width="16" alt="', $txt['smf279'], '" title="', $txt['smf279'], '" border="0" /></a>';
					if ($topic['quick_mod']['lock'] || $topic['quick_mod']['remove'])
						echo '<br />';
					if ($topic['quick_mod']['sticky'])
						echo '<a href="', $scripturl, '?action=quickmod;board=', $context['current_board'], '.', $context['start'], ';actions[', $topic['id'], ']=sticky;sesc=', $context['session_id'], '" onclick="return confirm(\'', $txt['quickmod_confirm'], '\');"><img src="', $settings['images_url'], '/icons/quick_sticky.gif" width="16" alt="', $txt['smf277'], '" title="', $txt['smf277'], '" border="0" /></a>';
					if ($topic['quick_mod']['move'])
						echo '<a href="', $scripturl, '?action=movetopic;board=', $context['current_board'], '.', $context['start'], ';topic=', $topic['id'], '.0"><img src="', $settings['images_url'], '/icons/quick_move.gif" width="16" alt="', $txt[132], '" title="', $txt[132], '" border="0" /></a>';
				}
				echo '</td>';
		}
		echo '
				</tr>';
	}

	if (!empty($options['display_quick_mod']) && $options['display_quick_mod'] == 1 && !empty($context['topics']))
	{
		echo '
				<tr>
					<th colspan="8" class="thTop" align="right" valign="center">
						<select name="qaction"', $context['can_move'] ? ' onchange="this.form.moveItTo.disabled = (this.options[this.selectedIndex].value != \'move\');"' : '', '>
							<option value="">--------</option>
							', $context['can_remove'] ? '<option value="remove">' . $txt['quick_mod_remove'] . '</option>' : '', '
							', $context['can_lock'] ? '<option value="lock">' . $txt['quick_mod_lock'] . '</option>' : '', '
							', $context['can_sticky'] ? '<option value="sticky">' . $txt['quick_mod_sticky'] . '</option>' : '', '
							', $context['can_move'] ? '<option value="move">' . $txt['quick_mod_move'] . ': </option>' : '', '
							', $context['can_merge'] ? '<option value="merge">' . $txt['quick_mod_merge'] . '</option>' : '', '
						        <option value="markread">', $txt['quick_mod_markread'], '</option>
                                                </select>';
		if ($context['can_move'])
		{
			echo '
						<select id="moveItTo" name="move_to" disabled="disabled">';
			foreach ($context['jump_to'] as $category)
				foreach ($category['boards'] as $board)
				{
					if (!$board['is_current'])
						echo '
							<option value="', $board['id'], '"', !empty($board['selected']) ? ' selected="selected"' : '', '>', str_repeat('-', $board['child_level'] + 1), ' ', $board['name'], '</option>';
				}
			echo '
						</select>';
		}
		echo '
						<input type="submit" value="', $txt['quick_mod_go'], '" onclick="return this.form.qaction.value != \'\' &amp;&amp; confirm(\'', $txt['quickmod_confirm'], '\');" />
					</th>
				</tr>';
	}

	echo '
			</tbody></table>';

	// Finish off the form - again, if Quick Moderation is being done with checkboxes. (1)
	if (!empty($options['display_quick_mod']) && $options['display_quick_mod'] == 1 && !empty($context['topics']))
		echo '
			<input type="hidden" name="sc" value="' . $context['session_id'] . '" />
		</form>';

	echo '
		<table border="0" cellpadding="0" cellspacing="0" width="100%"><tbody><tr><td align="right" valign="top" width="12"><img src="', $settings['images_url'], '/bottom_left.gif" alt="" border="0" height="12" width="12" /></td><td style="background: url(', $settings['images_url'], '/bottom_center.gif);" width="100%"></td><td align="left" valign="top" width="12"><img src="', $settings['images_url'], '/bottom_right.gif" alt="" border="0" height="12" width="12" /></td></tr></tbody></table>
                <table width="100%" cellpadding="0" cellspacing="0" border="0" style="margin-bottom: 1ex; margin-top: 1ex;">
			<tr>
				<td align="left">
					<table cellpadding="0" cellspacing="0" width="100%">
						<tr>
							<td><span class="smalltext"><b>', $txt[139], ': ', $context['page_index'], '</b></span></td>
							<td align="right" nowrap="nowrap" style="font-size: smaller;">', theme_show_buttons(), '</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>';
	}

	echo '
		<table cellpadding="0" cellspacing="0" width="100%">';

	echo '
			<tr>';

	if (!$context['no_topic_listing'])
		echo '
				<td class="smalltext" style="padding-top: 1ex;">', !empty($modSettings['enableParticipation']) ? '<img src="' . $settings['images_url'] . '/topic/my_normal_post.gif" alt="" align="middle" /> ' . $txt['participation_caption'] . '<br />' : '', '
					<img src="' . $settings['images_url'] . '/topic/normal_post.gif" alt="" align="middle" /> ' . $txt[457] . '<br />
					<img src="' . $settings['images_url'] . '/topic/hot_post.gif" alt="" align="middle" /> ' . $txt[454] . '<br />
					<img src="' . $settings['images_url'] . '/topic/veryhot_post.gif" alt="" align="middle" /> ' . $txt[455] . '
				</td>
				<td class="smalltext" align="left" valign="top" style="padding-top: 1ex;">
					<img src="' . $settings['images_url'] . '/topic/normal_post_locked.gif" alt="" align="middle" /> ' . $txt[456] . '<br />' . ($modSettings['enableStickyTopics'] == '1' ? '
					<img src="' . $settings['images_url'] . '/topic/normal_post_sticky.gif" alt="" align="middle" /> ' . $txt['smf96'] . '<br />' : '') . ($modSettings['pollMode'] == '1' ? '
					<img src="' . $settings['images_url'] . '/topic/normal_poll.gif" alt="" align="middle" /> ' . $txt['smf43'] : '') . '
				</td>
				<td class="smalltext" align="right" valign="middle">
					<form action="', $scripturl, '" method="get">
						<label for="jumpto">' . $txt[160] . '</label>:
						<select name="jumpto" id="jumpto" onchange="if (this.selectedIndex > 0 &amp;&amp; this.options[this.selectedIndex].value) window.location.href = smf_scripturl + this.options[this.selectedIndex].value.substr(smf_scripturl.indexOf(\'?\') == -1 || this.options[this.selectedIndex].value.substr(0, 1) != \'?\' ? 0 : 1);">
							<option value="">' . $txt[251] . ':</option>';

	// Show each category - they all have an id, name, and the boards in them.
	foreach ($context['jump_to'] as $category)
	{
		// Show the category name with a link to the category. (index.php#id)
		echo '
							<option value="" disabled="disabled">-----------------------------</option>
							<option value="#', $category['id'], '">', $category['name'], '</option>
							<option value="" disabled="disabled">-----------------------------</option>';

		/* Now go through each board - they all have:
			id, name, child_level (how many parents they have, basically...), and is_current. (is this the current board?) */
		foreach ($category['boards'] as $board)
		{
			// Show some more =='s if this is a child, so as to make it look nice.
			echo '
							<option value="?board=', $board['id'], '.0"', $board['is_current'] ? ' selected="selected"' : '', '> ', str_repeat('==', $board['child_level']), '=> ', $board['name'], '</option>';
		}
	}

	echo '
						</select>&nbsp;
						<input type="button" value="', $txt[161], '" onclick="if (this.form.jumpto.options[this.form.jumpto.selectedIndex].value) window.location.href = \'', $scripturl, '\' + this.form.jumpto.options[this.form.jumpto.selectedIndex].value;" />
					</form>
				</td>
			</tr>
		</table>';
		
   // Javascript for inline editing.
   echo '
<script language="JavaScript" type="text/javascript" src="' . $settings['default_theme_url'] . '/xml_board.js"></script>
<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[

   // Hide certain bits during topic edit.
   hide_prefixes.push("pages", "newicon");

   // Use it to detect when we\'ve stopped editing.
   document.onclick = modify_topic_click;

   var mouse_on_div;
   function modify_topic_click()

   var mouse_on_div;
   function mouse_down(e)
   {
      if (in_edit_mode == 1 && mouse_on_div == 0)
         modify_topic_save("', $context['session_id'], '");
   }

   function modify_topic_keypress(oEvent)
   {
      if (typeof(oEvent.keyCode) != "undefined" && oEvent.keyCode == 13)
      {
         modify_topic_save("', $context['session_id'], '");
         if (typeof(oEvent.preventDefault) == "undefined")
            oEvent.returnValue = false;
         else
            oEvent.preventDefault();
      }
   }

   // For templating, shown when an inline edit is made.
   function modify_topic_show_edit(subject)
   {
      // Just template the subject.
      setInnerHTML(cur_subject_div, \'<input type="text" name="subject" value="\' + subject + \'" size="60" style="width: 99%;"  maxlength="80" /><input type="hidden" name="topic" value="\' + cur_topic_id + \'" /><input type="hidden" name="msg" value="\' + cur_msg_id.substr(4) + \'" />\');
   }

   // And the reverse for hiding it.
   function modify_topic_hide_edit(subject)
   {
      // Re-template the subject!
      setInnerHTML(cur_subject_div, \'<a href="', $scripturl, '?topic=\' + cur_topic_id + \'.0">\' + subject + \'</a>\');
   }
// ]]></script>';

}

function theme_show_buttons()
{
	global $context, $settings, $options, $txt, $scripturl;

	$buttonArray = array();

	// If they are logged in, and the mark read buttons are enabled..
	if ($context['user']['is_logged'] && $settings['show_mark_read'])
		$buttonArray[] = '<a href="' . $scripturl . '?action=markasread;sa=board;board=' . $context['current_board'] . '.0;sesc=' . $context['session_id'] . '">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/markread.gif" alt="' . $txt[300] . '" border="0" />' : $txt[300]) . '</a>';

	// If the user has permission to show the notification button... ask them if they're sure, though.
	if ($context['can_mark_notify'])
		$buttonArray[] = '<a href="' . $scripturl . '?action=notifyboard;sa=' . ($context['is_marked_notify'] ? 'off' : 'on') . ';board=' . $context['current_board'] . '.' . $context['start'] . ';sesc=' . $context['session_id'] . '" onclick="return confirm(\'' . ($context['is_marked_notify'] ? $txt['notification_disable_board'] : $txt['notification_enable_board']) . '\');">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/notify.gif" alt="' . $txt[131] . '" border="0" />' : $txt[131]) . '</a>';

	// How about new polls, can the user post those?
	if ($context['can_post_poll'])
		$buttonArray[] = '<a href="' . $scripturl . '?action=post;board=' . $context['current_board'] . '.0;poll">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/new_poll.gif" alt="' . $txt['smf20'] . '" border="0" />' : $txt['smf20']) . '</a>';

        // Are they allowed to post new topics?
	if ($context['can_post_new'])
		$buttonArray[] = '<a href="' . $scripturl . '?action=post;board=' . $context['current_board'] . '.0">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/new_topic.gif" alt="' . $txt[33] . '" border="0" />' : $txt[33]) . '</a>';

	return implode($context['menu_separator'], $buttonArray);
}

?>
